com.versionone.apiclient.services

## Class OrderBy

- java.lang.Object
- - com.versionone.apiclient.services.OrderBy

-     public class OrderBy
      extends Object

  Order a query

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OrderBy.Order` Supported sort orders

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderBy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<com.versionone.apiclient.services.OrderBy.Term>` | `getTerms()`
    `String` | `getToken()` Get the sort token
    `void` | `majorSort(IAttributeDefinition attribdef, OrderBy.Order order)` Set the attribute and order for major sort of returned data
    `void` | `minorSort(IAttributeDefinition attribdef, OrderBy.Order order)` Set the attribute and order for minor sort of returned data
    `int` | `size()` Return the number of terms
    `String` | `toString()` Get the string representation of the sort

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OrderBy

          public OrderBy()

  - ### Method Detail

    - #### getTerms

          public List<com.versionone.apiclient.services.OrderBy.Term> getTerms()

    - #### majorSort

          public void majorSort(IAttributeDefinition attribdef,
                                OrderBy.Order order)

      Set the attribute and order for major sort of returned data
      Parameters:
        `attribdef` - - IAttributeDefinition
        `order` - - Order

    - #### minorSort

          public void minorSort(IAttributeDefinition attribdef,
                                OrderBy.Order order)

      Set the attribute and order for minor sort of returned data
      Parameters:
        `attribdef` - - IAttributeDefinition
        `order` - - Order

    - #### size

          public int size()

      Return the number of terms
      Returns:
        int

    - #### getToken

          public String getToken()

      Get the sort token
      Returns:
        String

    - #### toString

          public String toString()

      Get the string representation of the sort
      Overrides:
        `toString` in class `Object`

Copyright © 2022 VersionOne, Inc.. All rights reserved.